Subject: Re: [netatalk-admins] Remote TCP/IP Postscript Printer

From: Russell E Glaue <[email-masked]>
Date: Mon, 19 Jul 1999 11:20:01 -0500 (CDT)

When I send jobs to the lpd for this printer from the unix machine, I
never get the "Warning: no daemon present". I get "sending to:
NNN.NNN.NNN.NNN" and it stays that way until the job is completed and is
removed from the queue.
Printing from the macintosh to the lpd through papd I get the same exact
thing except that after the would be time needed to normally print, I
get the warning: no daemon present, the job never prints, and it stays in
the lpd queue.
I also noticed that when printing from unix, I get three files that appear
in the spool directory for a single job. When printing through papd I get
only two files that appear in the spool.

I remember reading in a netatalk FAQ that the "Warning: no daemon present"
is normal, however I think this does state an actual error because when
the job is first sent to the lpd through papd the status is "sending to
NNN.NNN.NNN.NNN" for 2 to 3 seconds before turning to "Warning: no daemon
present".
Normal jobs sent from the unix host state "sending to NNN.NNN.NNN.NNN" for
3 to 5 seconds before the job is removed from the lpd queue and is
actually printed from the printer. The Warning never appears in this case.

On Mon, 19 Jul 1999, Thierry Michalowski wrote:

> Your lpd behaviour is totally normal.
> The "master" lpd daemon, if it exists (sometimes it is fired up by inetd when
> needed) always forks a new lpd daemon for the first job on a spooler (as far as
> I know, all new jobs directed to the same spooler are to be treated by the same
> lpd process that was fired up). Then, after the last job finishes, the dedicated
> lpd daemon stops, and any further query for the state of the spooler says "No
> daemon present". In my opinion, this should not be a "warning", unless you would
> signify in that way that, being only a "warning", it is not an "error" ! ;-)
> So, your problem is not here I think...
> Maybe there is a problem connecting to your physical printer. Is the connection
> established the right way (i.e. Appletalk if it supports it, or LPR , or... ) ?
> Hope this helps
> Thierry Michalowski
> 
> Russell E Glaue wrote:
> 
> > On Mon, 19 Jul 1999, Patrik Schindler wrote:
> >
> > > At 19:18 Uhr -0500 18.07.1999, Russell E Glaue wrote:
> > >
> > > >When I send print jobs from a machintosh to this printer through the papd,
> > > >the jobs seem to get stuck in the lp queue.
> > >
> > > What's the Output of lpq?
> > >
> > > :wq! PoC
> > >
> >
> > First lpq reports a normal status (NNN.NNN.NNN.NNN being TCP/IP Number) :
> >
> >  hostname.cait.org: sending to NNN.NNN.NNN.NNN
> >  Rank   Owner      Job  Files                                 Total Size
> >  1st    root       33   Netscape: netatalk                    364553 bytes
> >
> > But then 2 to 3 seconds later lpq reports no daemon:
> >
> >  hostname.cait.org: Warning: no daemon present
> >  Rank   Owner      Job  Files                                 Total Size
> >  1st    root       33   Netscape: netatalk                    364553 bytes
> >
> > I've tried restarting the lpd, stoping and restarting through lpc. I've
> > read as much documentation as I could find with no promising results.
> > /var/spool/lpd/lwc4546e/status (the status file for this queue) always
> > contains
> > sending to NNN.NNN.NNN.NNN
> >
> > Anyone have any leads to an answer?
> 
> --
> Thierry Michalowski                                     /
> Edipresse Publications S.A                 \\\' ,      / //
> Informatique de Production                  \\\//    _/ //'
> 33,av. de la gare                            \_-//' /  //'
> 1001 LAUSANNE SUISSE                           \ ///  //'
> phone: +41 21 349 46 26                        /  >>   \\\`
> mailto:[email-masked]       /,)-^>>  _\`
>                                               (/   \\ / \\\
> "Unix is user-friendly...                           //  //\\\
> It is just selective about who its friends are"    ((`
> 
> 
> 
>